WaMCP
Api referencemessaging

Send Buttons

Send up to 3 reply buttons, optionally with an image, video, or document header.

POST
/api/messaging/send-buttons

Send up to 3 reply buttons, optionally with an image, video, or document header.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/messaging/send-buttons" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "to": "string",    "body": {      "type": "text",      "text": "string"    },    "buttons": [      {        "id": "string",        "title": "string"      }    ]  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}